# Update settings

Source: https://holofolder.com/app/docs/reference/account/update-settings

PUT https://app.holofolder.com/app/api/v1/settings

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "update_settings",
  "summary": "Update settings",
  "description": "Replace persisted collection settings and optionally a binder layout.\n\nRequired permissions: `settings:write`. MCP tool: `update_settings`.",
  "tags": [
    "Account"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "baseFingerprint": {
              "type": "string",
              "pattern": "^[a-f0-9]{64}$"
            },
            "binderId": {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            "binderRows": {
              "type": "integer",
              "minimum": 1,
              "maximum": 8
            },
            "binderCols": {
              "type": "integer",
              "minimum": 1,
              "maximum": 8
            },
            "binderColorId": {
              "type": "string",
              "maxLength": 100
            },
            "binderPageColors": {
              "type": "object",
              "propertyNames": {
                "type": "string",
                "maxLength": 10
              },
              "additionalProperties": {
                "type": "string",
                "maxLength": 100
              }
            },
            "binderSlotGlareEnabled": {
              "type": "boolean"
            },
            "cardFinishEffectsEnabled": {
              "type": "boolean"
            },
            "darkMode": {
              "type": "boolean"
            },
            "showBinderValue": {
              "type": "boolean"
            },
            "pricingRegion": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "UK",
                    "EU",
                    "US",
                    "JP"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            },
            "preferredCurrency": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "GBP",
                    "EUR",
                    "USD",
                    "JPY"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            },
            "preferredCardLanguage": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "en",
                    "fr",
                    "de",
                    "es",
                    "it",
                    "pt-br",
                    "ja",
                    "ko"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "baseFingerprint",
            "binderRows",
            "binderCols",
            "binderColorId",
            "binderPageColors",
            "binderSlotGlareEnabled",
            "cardFinishEffectsEnabled",
            "darkMode",
            "showBinderValue",
            "pricingRegion",
            "preferredCurrency",
            "preferredCardLanguage"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
